import requests

def get_client(host='127.0.0.1', port=8000):
    """Return a client wrapper for testing in same model_server 3.9 environment as server"""
    uri = f'http://{host}:{port}'

    def hit_endpoint(method, endpoint, params=None):
        if method == 'GET':
            resp = requests.get(uri + endpoint)
        elif method == 'PUT':
            resp = requests.put(uri + endpoint, params=params)
        else:
            raise Exception('Can only handle GET and PUT requests')
        if resp.status_code != 200:
            return {'status': resp.status_code, 'content': resp.text}
        else:
            return {'status': resp.status_code, 'content': resp.json()}
    return hit_endpoint